Summary:        Berkeley DB Database Library
Name:           db43
Version:        4.3.29
Release:        %mkrel 1
Source:         db-%{version}.tar.bz2
URL:            http://www.sleepycat.com
License:        BSD 3-Clause
Group:          System/Libraries
BuildRequires:  ed gcc-c++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Berkeley DB Database is a programmatic toolkit that provides
database support for applications.

This package contains the necessary runtime libraries.

%package devel
License:        BSD 3-Clause
Summary:        Include Files and Libraries for the Berkeley DB library
Group:          Development/Libraries/C and C++
Prefix:         %{_prefix}
Requires:       db43 = %{version} glibc-devel

%description devel
The Berkeley DB Database is a programmatic toolkit that provides
database support for applications.

This package contains the header files, libraries, and documentation
for building programs which use Berkeley DB.


%prep
%setup -q -n db-%{version}

%build
cd dist
./s_config
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
CXXFLAGS="$CFLAGS"
CC=gcc
export CFLAGS CXXFLAGS CC
#
# Build now the NPTL version
#
mkdir ../build_nptl
cd ../build_nptl
../dist/configure --prefix=%{_prefix} \
        --libdir=%{_libdir} --enable-compat185 --disable-dump185 \
        --enable-shared --enable-static --enable-rpc --enable-cxx 
# Make sure O_DIRECT is really disabled (build host could have old kernel)
perl -pi -e 's/#define HAVE_O_DIRECT 1/#undef HAVE_O_DIRECT/' db_config.h
# Remove libtool predep_objects and postdep_objects wonkiness
perl -pi -e 's/^predep_objects=".*$/predep_objects=""/' libtool
perl -pi -e 's/^postdep_objects=".*$/postdep_objects=""/' libtool
perl -pi -e 's/-shared -nostdlib/-shared/' libtool
make LIBSO_LIBS='$(LIBS)' LIBXSO_LIBS='$(LIBS)'" -L%{_libdir} -lstdc++"

%install
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}/db43
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/%{_lib}
cd build_nptl
make prefix=${RPM_BUILD_ROOT}%{_prefix} libdir=${RPM_BUILD_ROOT}%{_libdir} strip=true install
cd ..
# make ldd happy:
chmod 755 $RPM_BUILD_ROOT%{_libdir}/libdb*.so
# Fix header file installation
mv ${RPM_BUILD_ROOT}%{_includedir}/*.h ${RPM_BUILD_ROOT}%{_includedir}/db43
# Move documentation to the right directory
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/db43
mv $RPM_BUILD_ROOT%{_prefix}/docs/* $RPM_BUILD_ROOT/%{_defaultdocdir}/db43/
cp -a LICENSE README $RPM_BUILD_ROOT/%{_defaultdocdir}/db43/
#
# Remove api documentation for Java and TCL
rm -rf $RPM_BUILD_ROOT/%{_defaultdocdir}/db43/{java,api_*,collections,gsg,ref,utility}
rm -fv $RPM_BUILD_ROOT%{_bindir}/*
rm -fv $RPM_BUILD_ROOT%{_libdir}/{libdb.a,libdb_cxx.a}
rm -fv $RPM_BUILD_ROOT%{_libdir}/tls/{libdb.a,libdb_cxx.a}
# Remove crappy *.la files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{_libdir}/tls/*.la
# remove files normally in util package
rm -rf $RPM_BUILD_ROOT%{_libdir}/libdb-4.so
rm -rf $RPM_BUILD_ROOT%{_libdir}/libdb.so
rm -rf $RPM_BUILD_ROOT%{_libdir}/libdb_cxx-4.so
rm -rf $RPM_BUILD_ROOT%{_libdir}/libdb_cxx.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%dir %{_defaultdocdir}/db43
%doc %{_defaultdocdir}/db43/LICENSE
%doc %{_defaultdocdir}/db43/README
%doc %{_defaultdocdir}/db43/index.html
%doc %{_defaultdocdir}/db43/images
%doc %{_defaultdocdir}/db43/sleepycat
%{_libdir}/libdb-4.3.so
%{_libdir}/libdb_cxx-4.3.so

%files devel
%defattr(-,root,root)
%dir %{_includedir}/db43
%{_includedir}/db43/db.h
%{_includedir}/db43/db_185.h
%{_includedir}/db43/db_cxx.h
%{_libdir}/libdb-4.3.a
%{_libdir}/libdb_cxx-4.3.a

%changelog
* Wed May 13 2009 don_crissti <don_crissti@gmx.com> 4.3.29-1pclos2009
- build for PCLOS

